Skip to Content
DocsAPI ReferenceSalesSales by Address

GET /api/v1/sales/address/:address

Get sales involving a specific Ethereum address, as buyer, seller, or both.

Authentication: None

Cache: 15s

Path Parameters

ParameterTypeRequiredDescription
addressstringYesEthereum address

Query Parameters

ParameterTypeDefaultDescription
pagenumber1Page number
limitnumber20Results per page
typestringbothFilter by role: buyer, seller, or both

Sample Request

curl "https://api.grails.app/api/v1/sales/address/0x1234...?type=buyer"

Response

// 200 OK { "success": true, "data": { "results": [ { "id": 439499, "ens_name_id": 423991, "seller_address": "0x0c289ec5...", "buyer_address": "0x4129592a...", "sale_price_wei": "69000000000000000", "currency_address": "0x0000000000000000000000000000000000000000", "listing_id": 407516, "offer_id": null, "transaction_hash": "0x56ca2e00...", "block_number": "0", "order_hash": "0x6573a9ac...", "order_data": { "..." : "..." }, "source": "grails", "platform_fee_wei": null, "creator_fee_wei": null, "metadata": { "collection": { "slug": "ens" }, "item_metadata": { "name": "0073.eth" } }, "sale_date": "2026-04-09T15:47:02.435Z", "created_at": "2026-04-09T15:47:02.445Z", "name": "0073.eth", "token_id": "62397633858293182845905960543307828249..." } ], "pagination": { "page": 1, "limit": 20, "total": 12, "totalPages": 1, "hasNext": false, "hasPrev": false } }, "meta": { "timestamp": "2026-04-09T12:00:00.000Z", "version": "1.0.0" } }

Error Responses

StatusCodeDescription
500INTERNAL_ERRORFailed to fetch sales
Last updated on